<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.ss.formula (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.ss.formula (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.ss.formula" class="title">Uses of Package<br>org.apache.poi.ss.formula
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record">org.apache.poi.hssf.record</a></td>
                    <td class="colLast">
                        <div class="block">Record package contains class representations for XLS binary strutures.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record.aggregates">org.apache.poi.hssf.record.aggregates</a>
                    </td>
                    <td class="colLast">
                        <div class="block">record aggregates are not real "records" but collections of records that act
                            as a single record.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record.cf">org.apache.poi.hssf.record.cf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel.helpers">org.apache.poi.hssf.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.eval">org.apache.poi.ss.formula.eval</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.eval.forked">org.apache.poi.ss.formula.eval.forked</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.functions">org.apache.poi.ss.formula.functions</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.ptg">org.apache.poi.ss.formula.ptg</a></td>
                    <td class="colLast">
                        <div class="block">formula package contains binary PTG structures used in Formulas</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel.helpers">org.apache.poi.ss.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel.helpers">org.apache.poi.xssf.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.ExternalName.html#org.apache.poi.hssf.model">EvaluationWorkbook.ExternalName</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.ExternalSheet.html#org.apache.poi.hssf.model">EvaluationWorkbook.ExternalSheet</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaParseException.html#org.apache.poi.hssf.model">FormulaParseException</a>
                        <div class="block">This exception thrown when a supplied formula has incorrect syntax (or syntax
                            currently not
                            supported by POI).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaShifter.html#org.apache.poi.hssf.model">FormulaShifter</a>
                        <div class="block">Updates Formulas as rows or sheets are shifted</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaType.html#org.apache.poi.hssf.model">FormulaType</a>
                        <div class="block">Enumeration of various formula types.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/Formula.html#org.apache.poi.hssf.record">Formula</a>
                        <div class="block">Encapsulates an encoded formula token array.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record.aggregates">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaShifter.html#org.apache.poi.hssf.record.aggregates">FormulaShifter</a>
                        <div class="block">Updates Formulas as rows or sheets are shifted</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record.cf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/hssf/record/cf/package-summary.html">org.apache.poi.hssf.record.cf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/Formula.html#org.apache.poi.hssf.record.cf">Formula</a>
                        <div class="block">Encapsulates an encoded formula token array.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/BaseFormulaEvaluator.html#org.apache.poi.hssf.usermodel">BaseFormulaEvaluator</a>
                        <div class="block">Common functionality across file formats for evaluating formula cells.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationCell.html#org.apache.poi.hssf.usermodel">EvaluationCell</a>
                        <div class="block">Abstracts a cell for the purpose of formula evaluation.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationName.html#org.apache.poi.hssf.usermodel">EvaluationName</a>
                        <div class="block">Abstracts a name record for formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationSheet.html#org.apache.poi.hssf.usermodel">EvaluationSheet</a>
                        <div class="block">Abstracts a sheet for the purpose of formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.html#org.apache.poi.hssf.usermodel">EvaluationWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.ExternalName.html#org.apache.poi.hssf.usermodel">EvaluationWorkbook.ExternalName</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.ExternalSheet.html#org.apache.poi.hssf.usermodel">EvaluationWorkbook.ExternalSheet</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaParsingWorkbook.html#org.apache.poi.hssf.usermodel">FormulaParsingWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of formula parsing.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaRenderingWorkbook.html#org.apache.poi.hssf.usermodel">FormulaRenderingWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of converting formula to text.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/IStabilityClassifier.html#org.apache.poi.hssf.usermodel">IStabilityClassifier</a>
                        <div class="block">Used to help optimise cell evaluation result caching by allowing applications
                            to specify which
                            parts of a workbook are <em>final</em>.<br>
                            The term <b>final</b> is introduced here to denote immutability or 'having constant
                            definition'.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/SheetIdentifier.html#org.apache.poi.hssf.usermodel">SheetIdentifier</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/WorkbookEvaluatorProvider.html#org.apache.poi.hssf.usermodel">WorkbookEvaluatorProvider</a>
                        <div class="block">Provides access to a <a
                                href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula"><code>WorkbookEvaluator</code></a>, eg for
                            use with
                            <a href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html"
                               title="class in org.apache.poi.ss.formula"><code>CollaboratingWorkbooksEnvironment</code></a>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.usermodel.helpers">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/hssf/usermodel/helpers/package-summary.html">org.apache.poi.hssf.usermodel.helpers</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaShifter.html#org.apache.poi.hssf.usermodel.helpers">FormulaShifter</a>
                        <div class="block">Updates Formulas as rows or sheets are shifted</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/BaseFormulaEvaluator.html#org.apache.poi.ss.formula">BaseFormulaEvaluator</a>
                        <div class="block">Common functionality across file formats for evaluating formula cells.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/CollaboratingWorkbooksEnvironment.html#org.apache.poi.ss.formula">CollaboratingWorkbooksEnvironment</a>
                        <div class="block">Manages a collection of <a
                                href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula"><code>WorkbookEvaluator</code></a>s, in order
                            to support
                            evaluation of formulas across spreadsheets.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/CollaboratingWorkbooksEnvironment.WorkbookNotFoundException.html#org.apache.poi.ss.formula">CollaboratingWorkbooksEnvironment.WorkbookNotFoundException</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/DataValidationEvaluator.html#org.apache.poi.ss.formula">DataValidationEvaluator</a>
                        <div class="block">Evaluates Data Validation constraints.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/DataValidationEvaluator.DataValidationContext.html#org.apache.poi.ss.formula">DataValidationEvaluator.DataValidationContext</a>
                        <div class="block">This class organizes and encapsulates all the pieces of information related
                            to a single
                            data validation configuration for a single cell.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/DataValidationEvaluator.OperatorEnum.html#org.apache.poi.ss.formula">DataValidationEvaluator.OperatorEnum</a>
                        <div class="block">Not calling it OperatorType to avoid confusion for now with
                            DataValidationConstraint.OperatorType.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/DataValidationEvaluator.ValidationEnum.html#org.apache.poi.ss.formula">DataValidationEvaluator.ValidationEnum</a>
                        <div class="block">Not calling it ValidationType to avoid confusion for now with
                            DataValidationConstraint.ValidationType.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationCell.html#org.apache.poi.ss.formula">EvaluationCell</a>
                        <div class="block">Abstracts a cell for the purpose of formula evaluation.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationConditionalFormatRule.html#org.apache.poi.ss.formula">EvaluationConditionalFormatRule</a>
                        <div class="block">Abstracted and cached version of a Conditional Format rule for use with a
                            <a href="../../../../../org/apache/poi/ss/formula/ConditionalFormattingEvaluator.html"
                               title="class in org.apache.poi.ss.formula"><code>ConditionalFormattingEvaluator</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationConditionalFormatRule.OperatorEnum.html#org.apache.poi.ss.formula">EvaluationConditionalFormatRule.OperatorEnum</a>
                        <div class="block">Not calling it OperatorType to avoid confusion for now with other classes.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationConditionalFormatRule.ValueAndFormat.html#org.apache.poi.ss.formula">EvaluationConditionalFormatRule.ValueAndFormat</a>
                        <div class="block">Note: this class has a natural ordering that is inconsistent with equals.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationName.html#org.apache.poi.ss.formula">EvaluationName</a>
                        <div class="block">Abstracts a name record for formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationSheet.html#org.apache.poi.ss.formula">EvaluationSheet</a>
                        <div class="block">Abstracts a sheet for the purpose of formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.html#org.apache.poi.ss.formula">EvaluationWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.ExternalName.html#org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.ExternalSheet.html#org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/Formula.html#org.apache.poi.ss.formula">Formula</a>
                        <div class="block">Encapsulates an encoded formula token array.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaParsingWorkbook.html#org.apache.poi.ss.formula">FormulaParsingWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of formula parsing.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaRenderingWorkbook.html#org.apache.poi.ss.formula">FormulaRenderingWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of converting formula to text.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaShifter.html#org.apache.poi.ss.formula">FormulaShifter</a>
                        <div class="block">Updates Formulas as rows or sheets are shifted</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaType.html#org.apache.poi.ss.formula">FormulaType</a>
                        <div class="block">Enumeration of various formula types.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/IStabilityClassifier.html#org.apache.poi.ss.formula">IStabilityClassifier</a>
                        <div class="block">Used to help optimise cell evaluation result caching by allowing applications
                            to specify which
                            parts of a workbook are <em>final</em>.<br>
                            The term <b>final</b> is introduced here to denote immutability or 'having constant
                            definition'.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/NameIdentifier.html#org.apache.poi.ss.formula">NameIdentifier</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/SheetIdentifier.html#org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/SheetRange.html#org.apache.poi.ss.formula">SheetRange</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/ThreeDEval.html#org.apache.poi.ss.formula">ThreeDEval</a>
                        <div class="block">Optional Extension to the likes of <a
                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                title="interface in org.apache.poi.ss.formula.eval"><code>AreaEval</code></a> and
                            <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                               title="class in org.apache.poi.ss.formula.eval"><code>AreaEvalBase</code></a>,
                            which allows for looking up 3D (sheet+row+column) evaluations
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/TwoDEval.html#org.apache.poi.ss.formula">TwoDEval</a>
                        <div class="block">Common interface of <a
                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                title="interface in org.apache.poi.ss.formula.eval"><code>AreaEval</code></a> and <a
                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                                title="class in org.apache.poi.ss.formula.eval"><code>AreaEvalBase</code></a>,
                            for 2D (row+column) evaluations
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/WorkbookEvaluator.html#org.apache.poi.ss.formula">WorkbookEvaluator</a>
                        <div class="block">Evaluates formula cells.<p/>

                            For performance reasons, this class keeps a cache of all previously calculated intermediate
                            cell values.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/WorkbookEvaluatorProvider.html#org.apache.poi.ss.formula">WorkbookEvaluatorProvider</a>
                        <div class="block">Provides access to a <a
                                href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula"><code>WorkbookEvaluator</code></a>, eg for
                            use with
                            <a href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html"
                               title="class in org.apache.poi.ss.formula"><code>CollaboratingWorkbooksEnvironment</code></a>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.eval">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/ss/formula/eval/package-summary.html">org.apache.poi.ss.formula.eval</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationCell.html#org.apache.poi.ss.formula.eval">EvaluationCell</a>
                        <div class="block">Abstracts a cell for the purpose of formula evaluation.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationName.html#org.apache.poi.ss.formula.eval">EvaluationName</a>
                        <div class="block">Abstracts a name record for formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/SheetRange.html#org.apache.poi.ss.formula.eval">SheetRange</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/ThreeDEval.html#org.apache.poi.ss.formula.eval">ThreeDEval</a>
                        <div class="block">Optional Extension to the likes of <a
                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                title="interface in org.apache.poi.ss.formula.eval"><code>AreaEval</code></a> and
                            <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                               title="class in org.apache.poi.ss.formula.eval"><code>AreaEvalBase</code></a>,
                            which allows for looking up 3D (sheet+row+column) evaluations
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/TwoDEval.html#org.apache.poi.ss.formula.eval">TwoDEval</a>
                        <div class="block">Common interface of <a
                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                title="interface in org.apache.poi.ss.formula.eval"><code>AreaEval</code></a> and <a
                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                                title="class in org.apache.poi.ss.formula.eval"><code>AreaEvalBase</code></a>,
                            for 2D (row+column) evaluations
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.eval.forked">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/ss/formula/eval/forked/package-summary.html">org.apache.poi.ss.formula.eval.forked</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/IStabilityClassifier.html#org.apache.poi.ss.formula.eval.forked">IStabilityClassifier</a>
                        <div class="block">Used to help optimise cell evaluation result caching by allowing applications
                            to specify which
                            parts of a workbook are <em>final</em>.<br>
                            The term <b>final</b> is introduced here to denote immutability or 'having constant
                            definition'.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.functions">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/ss/formula/functions/package-summary.html">org.apache.poi.ss.formula.functions</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/OperationEvaluationContext.html#org.apache.poi.ss.formula.functions">OperationEvaluationContext</a>
                        <div class="block">Contains all the contextual information required to evaluate an operation
                            within a formula

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.ptg">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/ExternSheetReferenceToken.html#org.apache.poi.ss.formula.ptg">ExternSheetReferenceToken</a>
                        <div class="block">Should be implemented by any <a
                                href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a> subclass that needs
                            has an extern sheet index <br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaRenderingWorkbook.html#org.apache.poi.ss.formula.ptg">FormulaRenderingWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of converting formula to text.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/SheetIdentifier.html#org.apache.poi.ss.formula.ptg">SheetIdentifier</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/WorkbookDependentFormula.html#org.apache.poi.ss.formula.ptg">WorkbookDependentFormula</a>
                        <div class="block">Should be implemented by any <a
                                href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a> subclass that needs
                            a workbook to render its formula.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/ConditionalFormattingEvaluator.html#org.apache.poi.ss.usermodel">ConditionalFormattingEvaluator</a>
                        <div class="block">Evaluates Conditional Formatting constraints.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaParseException.html#org.apache.poi.ss.usermodel">FormulaParseException</a>
                        <div class="block">This exception thrown when a supplied formula has incorrect syntax (or syntax
                            currently not
                            supported by POI).
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.usermodel.helpers">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/ss/usermodel/helpers/package-summary.html">org.apache.poi.ss.usermodel.helpers</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaShifter.html#org.apache.poi.ss.usermodel.helpers">FormulaShifter</a>
                        <div class="block">Updates Formulas as rows or sheets are shifted</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.streaming">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/BaseFormulaEvaluator.html#org.apache.poi.xssf.streaming">BaseFormulaEvaluator</a>
                        <div class="block">Common functionality across file formats for evaluating formula cells.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationCell.html#org.apache.poi.xssf.streaming">EvaluationCell</a>
                        <div class="block">Abstracts a cell for the purpose of formula evaluation.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationSheet.html#org.apache.poi.xssf.streaming">EvaluationSheet</a>
                        <div class="block">Abstracts a sheet for the purpose of formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.html#org.apache.poi.xssf.streaming">EvaluationWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaParseException.html#org.apache.poi.xssf.streaming">FormulaParseException</a>
                        <div class="block">This exception thrown when a supplied formula has incorrect syntax (or syntax
                            currently not
                            supported by POI).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaParsingWorkbook.html#org.apache.poi.xssf.streaming">FormulaParsingWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of formula parsing.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaRenderingWorkbook.html#org.apache.poi.xssf.streaming">FormulaRenderingWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of converting formula to text.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/IStabilityClassifier.html#org.apache.poi.xssf.streaming">IStabilityClassifier</a>
                        <div class="block">Used to help optimise cell evaluation result caching by allowing applications
                            to specify which
                            parts of a workbook are <em>final</em>.<br>
                            The term <b>final</b> is introduced here to denote immutability or 'having constant
                            definition'.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/WorkbookEvaluatorProvider.html#org.apache.poi.xssf.streaming">WorkbookEvaluatorProvider</a>
                        <div class="block">Provides access to a <a
                                href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula"><code>WorkbookEvaluator</code></a>, eg for
                            use with
                            <a href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html"
                               title="class in org.apache.poi.ss.formula"><code>CollaboratingWorkbooksEnvironment</code></a>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/BaseFormulaEvaluator.html#org.apache.poi.xssf.usermodel">BaseFormulaEvaluator</a>
                        <div class="block">Common functionality across file formats for evaluating formula cells.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationCell.html#org.apache.poi.xssf.usermodel">EvaluationCell</a>
                        <div class="block">Abstracts a cell for the purpose of formula evaluation.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationName.html#org.apache.poi.xssf.usermodel">EvaluationName</a>
                        <div class="block">Abstracts a name record for formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationSheet.html#org.apache.poi.xssf.usermodel">EvaluationSheet</a>
                        <div class="block">Abstracts a sheet for the purpose of formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.html#org.apache.poi.xssf.usermodel">EvaluationWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.ExternalName.html#org.apache.poi.xssf.usermodel">EvaluationWorkbook.ExternalName</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/EvaluationWorkbook.ExternalSheet.html#org.apache.poi.xssf.usermodel">EvaluationWorkbook.ExternalSheet</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaParsingWorkbook.html#org.apache.poi.xssf.usermodel">FormulaParsingWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of formula parsing.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaRenderingWorkbook.html#org.apache.poi.xssf.usermodel">FormulaRenderingWorkbook</a>
                        <div class="block">Abstracts a workbook for the purpose of converting formula to text.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/IStabilityClassifier.html#org.apache.poi.xssf.usermodel">IStabilityClassifier</a>
                        <div class="block">Used to help optimise cell evaluation result caching by allowing applications
                            to specify which
                            parts of a workbook are <em>final</em>.<br>
                            The term <b>final</b> is introduced here to denote immutability or 'having constant
                            definition'.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/SheetIdentifier.html#org.apache.poi.xssf.usermodel">SheetIdentifier</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/WorkbookEvaluator.html#org.apache.poi.xssf.usermodel">WorkbookEvaluator</a>
                        <div class="block">Evaluates formula cells.<p/>

                            For performance reasons, this class keeps a cache of all previously calculated intermediate
                            cell values.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/WorkbookEvaluatorProvider.html#org.apache.poi.xssf.usermodel">WorkbookEvaluatorProvider</a>
                        <div class="block">Provides access to a <a
                                href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula"><code>WorkbookEvaluator</code></a>, eg for
                            use with
                            <a href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html"
                               title="class in org.apache.poi.ss.formula"><code>CollaboratingWorkbooksEnvironment</code></a>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.usermodel.helpers">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> used by <a
                        href="../../../../../org/apache/poi/xssf/usermodel/helpers/package-summary.html">org.apache.poi.xssf.usermodel.helpers</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/formula/class-use/FormulaShifter.html#org.apache.poi.xssf.usermodel.helpers">FormulaShifter</a>
                        <div class="block">Updates Formulas as rows or sheets are shifted</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
